qm2ts(1)

NAME
qm2ts - generate Qt Linguist translation files from Qt 2.x message files

SYNOPSIS
qm2ts [ options ] qm-files

DESCRIPTION
This page documents the Qt Linguist Qm2ts tool for the Qt GUI toolkit. Qm2ts converts Qt 2.x message files (.qm files) into source message files (.ts files).

The .ts file format is a simple human-readable XML format that can be used with version control systems if required. It is understood by lupdate, lrelease and Qt Linguist.

qm2ts is provided to ease porting from the old internationalization tools (findtr, mergetr and msg2qm) to the new ones. It will not accept Qt message files generated by lrelease, as lrelease compresses .qm files by stripping unnecessary information for lookup.

OPTIONS

-help
    Display the usage and exit.

-verbose
    Explain what is being done.

-version
    Display the version of qm2ts and exit.

SEE ALSO
http://doc.trolltech.com/i18n.html

AUTHOR
Jasmin Blanchette, Trolltech AS <jasmin@trolltech.com>